> For the complete documentation index, see [llms.txt](https://developer.pace.cloud/doc/user/2024-4/llms.txt)

# Update session

> PUT /sessions/{sessionId}
> 
> Update the status for the current user session.
> In case the session is created an OTP for the user is created and send via email, the caller can verify the OTP using [VerifyOTP](#operation/VerifyOTP) or use the provided value.



## Servers
- Production server (preview release 2024-4): https://api.pace.cloud/user/2024-4 (Production server (preview release 2024-4))


## Authentication methods
- O auth2
- Oidc


## Parameters

### Path parameters

- **sessionId** (string(uuid))
  The ID of the user session.



### Body: application/json (object)

- **userId** (string(uuid))
  The ID of the user that owns the session

- **passedLoginOTP** (boolean)
  sets the login otp to true (passed) or false (not passed)



## Responses
### 200
OTP send.

#### Body: application/json (object)
- **otp** (string)
  one time password

- **expiresAt** (string(date-time))


### 204
Session updated.

### 401
OAuth token missing or invalid or a linked identity is missing.

Linked identity missing is a special case where you need to make sure that
the user has additionally logged in / authorized with a third-party.

This is not relevant for most use-cases.

The specific error code that identifies a missing linked identity is `missing-linked-identity`

Example:

```
  {
      "errors": [
          {
              "id": "cbgmhslmp1o9or9kh1p0",
              "title": "Missing linked identity for authorized access",
              "detail": "Linked identity is needed to access this resource, please check why the user does not have a linked identity",
              "status": "401",
              "code": "missing-linked-identity"
          }
      ]
  }
```


#### Body: application/vnd.api+json (object)
- **errors** (array[object])


### 404
Resource not found

#### Body: application/vnd.api+json (object)
- **errors** (array[object])


### 500
Internal server error

#### Body: application/vnd.api+json (object)
- **errors** (array[object])



[Powered by Bump.sh](https://bump.sh)
